Subject: Re: [patch 0/1][RFC] add a private field to the sock structure

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 31 Aug 2007 08:26:20 -0300

Em Thu, Aug 30, 2007 at 10:40:49PM -0700, David Miller escreveu:
> From: Arnaldo Carvalho de Melo <[email-masked]>
> Date: Wed, 29 Aug 2007 16:18:31 -0300
> 
> > Nah, it still there, sk_protinfo, its just ax25 that uses it
> > (nudge(Ralf)). How do we state that a struct field is deprecated and
> > will be removed soon(tm)?
> 
> You get rid of all the in-tree users and then just kill it :)
> 
> More seriously, I don't think we need a deprecation schedule
> for a struct member, either it's not used in-tree anymore or
> it isn't.  We'll go crazy with any other policy and it's
> difficult enough shrinking these things :-)

OK, I think its enough to say to dlezcano that he should avoid using
sk_protinfo, as soon as we do the work on AX.25 sk_protinfo will be
removed.

- Arnaldo